Package org.lwjgl.opengl

# Class EXTVertexWeighting

java.lang.Object
org.lwjgl.opengl.EXTVertexWeighting

public final class EXTVertexWeighting extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CURRENT_VERTEX_WEIGHT_EXT`
`static final int`
`GL_MODELVIEW0_EXT`
`static final int`
`GL_MODELVIEW0_MATRIX_EXT`
`static final int`
`GL_MODELVIEW0_STACK_DEPTH_EXT`
`static final int`
`GL_MODELVIEW1_EXT`
`static final int`
`GL_MODELVIEW1_MATRIX_EXT`
`static final int`
`GL_MODELVIEW1_STACK_DEPTH_EXT`
`static final int`
`GL_VERTEX_WEIGHT_ARRAY_EXT`
`static final int`
`GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT`
`static final int`
`GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT`
`static final int`
`GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT`
`static final int`
`GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT`
`static final int`
`GL_VERTEX_WEIGHTING_EXT`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glVertexWeightfEXT(float weight)`
`static void`
`glVertexWeightPointerEXT(int size, int type, int stride, long pPointer_buffer_offset)`
`static void`
`glVertexWeightPointerEXT(int size, int stride, FloatBuffer pPointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MODELVIEW0_STACK_DEPTH_EXT

public static final int GL_MODELVIEW0_STACK_DEPTH_EXT

See Also:
  - Constant Field Values

### GL_MODELVIEW1_STACK_DEPTH_EXT

public static final int GL_MODELVIEW1_STACK_DEPTH_EXT

See Also:
  - Constant Field Values

### GL_MODELVIEW0_MATRIX_EXT

public static final int GL_MODELVIEW0_MATRIX_EXT

See Also:
  - Constant Field Values

### GL_MODELVIEW1_MATRIX_EXT

public static final int GL_MODELVIEW1_MATRIX_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHTING_EXT

public static final int GL_VERTEX_WEIGHTING_EXT

See Also:
  - Constant Field Values

### GL_MODELVIEW0_EXT

public static final int GL_MODELVIEW0_EXT

See Also:
  - Constant Field Values

### GL_MODELVIEW1_EXT

public static final int GL_MODELVIEW1_EXT

See Also:
  - Constant Field Values

### GL_CURRENT_VERTEX_WEIGHT_EXT

public static final int GL_CURRENT_VERTEX_WEIGHT_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHT_ARRAY_EXT

public static final int GL_VERTEX_WEIGHT_ARRAY_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT

public static final int GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT

public static final int GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT

public static final int GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT

See Also:
  - Constant Field Values

### GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT

public static final int GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT

See Also:
  - Constant Field Values

## Method Details

### glVertexWeightfEXT

public static void glVertexWeightfEXT(float weight)

### glVertexWeightPointerEXT

public static void glVertexWeightPointerEXT(int size, int stride, FloatBuffer pPointer)

### glVertexWeightPointerEXT

public static void glVertexWeightPointerEXT(int size, int type, int stride, long pPointer_buffer_offset)